/*
 Theme Name:   GeneratePress MAFS
 Theme URI:    https://www.mafsdisseny.com
 Description:  MAFS GeneratePress child theme
 Author:       Miguel Angel Fernandez
 Author URI:   https://www.mafsdisseny.com
 Template:     generatepress
 Version:      0.15
*/

/*
=============================================
   FRAMEWORK VARIABLES
=============================================
*/
/*familia de iconos: https://icones.js.org/collection/ri*/
:root{
	--space-xs: 10px;
	--space-s: 20px;
	--space-m: 30px;
	--space-l: 60px;
	--space-xl: 120px;
	--space-xxl: 200px;
	--space-xxxl: 300px;
	
	--space-gap: 20px;
	
	--border-radius: 10px;
	
	--pad-lateral: var(--space-m);
	
	--small-text: 17px;
	
	--gp-font--body: "Archivo";
    --gp-font--headings: "Nagel";
}
/* wrappers info
 * XL: 1310
 * L: 1120 (site-width default)
 * M: 930
 * S: 740
 * XS: 550
 * /

/*
=============================================
   FADE IN EFFECT para todo el sitio web
=============================================
*/

/*Efecto fade in al cargar la pagina*/
#page {
    -webkit-animation: fadein 2s;
            animation: fadein 2s;
}

@-webkit-keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

@keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}


/*
=============================================
   TIPOGRAFIAS
=============================================
*/

.ff-headings {
	font-family: var(--gp-font--headings);
}
.ff-body {
	font-family: var(--gp-font--body);
}

/* Fluid Typography Scale
 * */
h1, .fs-h1 {font-size: 3rem; line-height:1.1em; font-weight: 700;}
h2, .fs-h2 {font-size: 2.1rem;}
h3, .fs-h3 {font-size: 1.8rem;}
h4, .fs-h4 {font-size: 1.5rem;}
h5, .fs-h5 {font-size: 1.2rem;}
h6, .fs-h6 {font-size: 1.1rem;}
p, .fs-p   {font-size: 1rem;}

@media (max-width: 768px) {
    h1, .fs-h1 {font-size: 2.25rem;}
    h2, .fs-h2 {font-size: 1.75rem;}
    h3, .fs-h3 {font-size: 1.4rem;}
    h4, .fs-h4 {font-size: 1.2rem;}
    h5, .fs-h5 {font-size: 1.1rem;}
    h6, .fs-h6 {font-size: 1rem;}
    p, .fs-p   {font-size: 1rem;}
}

/*
=============================================
   SITE CUSTOM
=============================================
*/

.menu-item-has-children .dropdown-menu-toggle {
	padding-left: 3px;
}

/*
=============================================
   UTILITY CLASSES
=============================================
*/
.ar-16-9 {
    aspect-ratio: 16/9;
    object-fit: cover;
}

.ar-9-16 {
    aspect-ratio: 9/16;
    object-fit: cover;
}

.ar-3-2 {
    aspect-ratio: 3/2;
    object-fit: cover;
}

.ar-2-3 {
    aspect-ratio: 2/3;
    object-fit: cover;
}

.ar-4-3 {
    aspect-ratio: 4/3;
    object-fit: cover;
}

.ar-3-4 {
    aspect-ratio: 3/4;
    object-fit: cover;
}

.ar-1-1 {
	aspect-ratio: 1/1;
    object-fit: cover;
}

/* Visually Hidden */
.visually-hidden:not(:focus):not(:active) {
    clip: rect(0 0 0 0);
    clip-path: inset(50%);
    height: 1px;
    overflow: hidden;
    position: absolute;
    white-space: nowrap;
    width: 1px;
}

/*
** POLYLANG Styles
*/

.main-navigation .menu > .menu-item.lang-item > a::before {
    height: 0;
}

/*
===========================
   Contact Form 7 Styles 
===========================
*/
.wpcf7-form input[type="text"], 
.wpcf7-form input[type="email"], 
.wpcf7-form input[type="url"], 
.wpcf7-form input[type="password"], 
.wpcf7-form input[type="search"], 
.wpcf7-form input[type="number"], 
.wpcf7-form input[type="tel"], 
.wpcf7-form textarea {
    color: var(--contrast);
    width: 100%;
    padding: 12px 16px;
    border-radius: var(--border-radius);
	margin-bottom: 10px;
    border: 0;
}
.wpcf7-form p {
    margin: 0 0 28px;
}
.wpcf7-text:focus, 
.wpcf7-textarea:focus {
    outline: 1px solid var(--accent);
    outline-offset: 0;
}
.wpcf7-list-item {
    margin: 0 0 0 0;
}
div.wpcf7-mail-sent-ok {
    border: 0;
    background: #5471de;
    color: #fff;
    padding: 18px;
}

.wpcf7 form .wpcf7-response-output {
	  margin: 0;
    padding: 15px;
	  font-size: 15px;
    border: none;
    border-radius: 3px;	
}
.wpcf7 form.invalid .wpcf7-response-output,
.wpcf7 form.unaccepted .wpcf7-response-output,
.wpcf7 form.payment-required .wpcf7-response-output {
    background-color: #eee9ce;
}

.wpcf7 form.sent .wpcf7-response-output {
    background-color: #cae899;
}

div.wpcf7-acceptance-missing,
div.wpcf7-validation-errors {
    border: 0;
    background: #f9443b;
    color: #fff;
    padding: 18px;
}
span.wpcf7-not-valid-tip {
    color: #f9443b;
}
	
/* WPCF7 Button Styles */
.wpcf7-form .button {
	display: inline-flex;
    align-items: center;
    justify-content: center;
    background-color: var(--accent);
    color: #ffffff;
    font-family: inherit;
    font-weight: bold;
    text-align: center;
    padding: 10px 20px;
    border-radius: 8px;
}
.wpcf7-form .button:hover {
    cursor: pointer;
    background-color: var(--contrast-2);
    color: var(--base-3);
}

/*
===========================
   Breadcrumb Styles 
===========================
*/

.breadcrumbs {
	color: white;
}
.breadcrumbs a {
	color: white;
}
